Name: power
Version: 0.1
Release: alt1

Summary: ACPI/APM power management
License: GPL
Group: System/Configuration/Boot and Init

Url: http://altlinux.org.ua/~mike/misc
Source: %name-%version.tar.gz

BuildArch: noarch

Requires: acpid apmd
Requires(post,preun): chkconfig

Packager: Michael Shigorin <mike@altlinux.ru>

Summary(ru_RU.KOI8-R):   ACPI/APM
Summary(uk_UA.KOI8-U):   ACPI/APM

%description
This script is a wrapper for acpid and apmd, choosing automatically
which one to use and loading modules needed.

%description -l ru_RU.KOI8-R
   ""  acpid  apmd,  ,
       .

%description -l uk_UA.KOI8-U
   ""  acpid  apmd,   ,
      ĦΦ ̦.

%prep
%setup -q

%build
%__sed -e 's|__SYSCONFDIR__|%_sysconfdir|g' \
       -e 's|__SBINDIR__|%_sbindir|g' \
< %name.init \
> %name

%install
%__install -pD -m755 %name %buildroot/%_initdir/%name

%post
# switch off acpid/apmd since we're going to call them
%post_service %name
/sbin/chkconfig acpid off || :
/sbin/chkconfig apmd off || :

%preun
%preun_service %name

%files
%_initdir/*
%doc README TODO

%changelog
* Mon Aug 18 2003 Michael Shigorin <mike@altlinux.ru> 0.1-alt1
- created for ALT Linux

